#VU62883 Use-after-free in D-Bus


Published: 2022-05-09

Vulnerability identifier: #VU62883

Vulnerability risk: Low

CVSSv3.1:

CVE-ID: CVE-2020-35512

CWE-ID:

Exploitation vector: Local

Exploit availability:

Vulnerable software:
D-Bus
Client/Desktop applications / Messaging software

Vendor: Freedesktop.org

Description

The vulnerability allows a local user to perform a denial of service (DoS) attack.

The vulnerability exists due to a use-after-free error if two usernames have the same numeric UID. When a set of policy rules references these usernames, D-Bus may free some memory in the heap, which is still used by data structures necessary for the other usernames sharing the UID, which can result in crash.

Mitigation
Install updates from vendor's website.

Vulnerable software versions

D-Bus: 1.13.0 - 1.13.16, 1.10.0 - 1.10.30


Fixed software versions

CPE

External links
http://bugs.gentoo.org/755392
http://bugzilla.redhat.com/show_bug.cgi?id=1909101
http://gitlab.freedesktop.org/dbus/dbus/-/issues/305#note_829128
http://security-tracker.debian.org/tracker/CVE-2020-35512


Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?


Latest bulletins with this vulnerability